For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList products
      • POSTCreate product
      • POSTAssemble product from FPO
      • GETGet product details
      • PUTUpdate product
      • DELDelete product
      • POSTAdd capability to product
      • PUTUpdate capability
      • DELRemove capability
      • GETPreview cleanup resources
      • GETGet product configuration summary
      • GETList surfaces
      • POSTCreate surface
      • GETGet surface details
      • PUTUpdate surface
      • DELDelete surface
      • POSTAdd item to surface
      • PUTUpdate surface item
      • DELRemove surface item
      • POSTCreate surface API key
      • DELDelete surface API key
      • GETReveal development surface key
      • GETList schedules for surface
      • POSTCreate schedule for surface
      • GETGet schedule details
      • PUTUpdate schedule
      • DELDelete schedule
      • POSTPause schedule
      • POSTResume schedule
      • POSTRun schedule immediately
Dashboard
LogoLogo
Runtype APIProducts

Remove capability

DELETE
/v1/products/:id/capabilities/:capabilityId
DELETE
/v1/products/:id/capabilities/:capabilityId
$curl -X DELETE https://api.runtype.com/v1/products/id/capabilities/capabilityId \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}
Remove a capability from a product.
Was this page helpful?
Previous

Preview cleanup resources

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
capabilityIdstringRequired

Response

Capability removed
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error